Status: Closed   

Priority: Normal   

Category:    

Customer: MERCEDES-BENZ TRUCK Product Issue

Numbers:

 

Department: TP/EMD Affected Products: ADTF 2.14.3, ADTF Device Toolbox

2.7.0, ADTF Device Toolbox 2.7.1

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Not Supported Scope FAQ Links:  

Description

Supportanfrage

Ich habe 2 Laptops mit Daimler-Installation. Beide sind vor kurzem von Windows7 nach Windows10 migriert worden. An beiden habe

ich das Phänomen, daß ADTF 2.14.3 beim Abspielen von Messungen extrem langsam/stockend geworden ist. Der Play-Zeitpunkt

bleibt kurze Zeit an einem Punkt stehen und springt dann ein ganzes Stück weiter.

Ich habe sowohl den original-ADTF-Programmordner als auch den Konfigurationsordner aus der Windows7-Installation an die

gleichen Stellen der Windows10-Installation kopiert. In der Windows7-Installation lief diese flüssig.

Haben Sie davon schon einmal gehört? Haben Sie Tipps für mich, was ich einmal in der Windows10-Installation überprüfen könnte?

Ich befürchte, daß hier irgendein Datenfluß im Gegensatz zur Windows7-Installation ausgebremst wird. Kennen Sie Einstellungen,

mit denen dieses optimiert werden könnte?

Lösung

Leider wird ADTF 2.x nicht auf Windows 10 supportet und ist dafür nicht optimiert.

Grundsätzlich betrifft das in erster Linie die Entwicklung/WinSDK.

Ebenso sollte grundsätzlich eine Windows 7 Applikation natürlich mit der passenden VC100 Runtime auch auf Windows 10 laufen,

aber in Windows 10 hat sich definitiv etwas an Threading/Timing und Process Handling geändert.

D.h. wenn ihr Komponenten verwendet, die hierauf zugreifen (sicherlich vorstellbar bei Filtern mit Timern) dann kann das sicherlich

Probleme geben.

Ebenso kann sich die UI anders verhalten, weil Qt 4.7 schon mal nicht offiziell unterstützt wird.

Natürlich haben wir ADTF in Basis Setups auch am Laufen und hierbei keine Probleme festgestellt.

Wo aber die Ursache in diesem Szenario liegt, ist mangels der Kompatibilität so vieler Komponenten nicht zu sagen.

Das wie gesagt aber außerhalb unserer Supportmöglichkeiten...

Windows 10 wird erst offiziell ab ADTF 3.6.0 unterstützt und optimiert.

History

#1 - 2019-08-02 09:02 - hidden

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::Common

- Resolution set to Not Supported Scope

Hallo Marco,

leider wird ADTF 2.x nicht auf Windows 10 supportet und ist dafür nicht optimiert.

Grundsätzlich betrifft das in erster Linie die Entwicklung/WinSDK.

Ebenso sollte grundsätzlich eine Windows 7 Applikation natürlich mit der passenden VC100 Runtime auch auf Windows 10 laufen, aber in Windows
10 hat sich definitiv etwas an Threading/Timing und Process Handling geändert.

D.h. wenn ihr Komponenten verwendet, die hierauf zugreifen (sicherlich vorstellbar bei Filtern mit Timern) dann kann das sicherlich Probleme geben.

Ebenso kann sich die UI anders verhalten, weil Qt 4.7 schon mal nicht offiziell unterstützt wird.

Natürlich haben wir ADTF in Basis Setups auch am Laufen und hierbei keine Probleme festgestellt.

Wo aber die Ursache in diesem Szenario liegt, ist mangels der Kompatibilität so vieler Komponenten nicht zu sagen.

Das wie gesagt aber außerhalb unserer Supportmöglichkeiten...

Windows 10 wird erst offiziell ab ADTF 3.6.0 unterstützt und optimiert.

#2 - 2019-08-08 14:40 - hidden

- Project changed from 9 to Public Support

- Subject changed from ADTF stockt unter Windows 10 to Problems using ADTF 2.x on Windows 10

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#3 - 2019-08-08 18:13 - hidden

- Status changed from To Be Closed to Closed

#4 - 2023-05-03 10:38 - hidden

- Customer changed from DAIMLER to MERCEDES-BENZ TRUCK
